# SourcePath: sysstat/20170127dev
Summary: SAR, SADF, MPSTAT, IOSTAT and PIDSTAT for Linux
Name: sony-target-dev-sysstat
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-sysstat
Version: 11.5.3
Release: 12000001
License: GPL2
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
#URL: http://perso.orange.fr/sebastien.godard/
URL: http://sebastien.godard.pagesperso-orange.fr/download.html
Source: sysstat-%{version}.tar.xz
Buildroot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}

%description
The sysstat package contains the sar, sadf, mpstat, iostat, pidstat
and sa tools for Linux.
The sar command collects and reports system activity information.
The information collected by sar can be saved in a file in a binary
format for future inspection. The statistics reported by sar concern
I/O transfer rates, paging activity, process-related activities,
interrupts, network activity, memory and swap space utilization, CPU
utilization, kernel activities and TTY statistics, among others. Both
UP and SMP machines are fully supported.
The sadf command may  be used to display data collected by sar in
various formats (CSV, XML, etc.).
The iostat command reports CPU utilization and I/O statistics for disks.
The mpstat command reports global and per-processor statistics.
The pidstat command reports statistics for Linux tasks (processes).

%package -n %{pkgname}
Summary: SAR, SADF, MPSTAT, IOSTAT and PIDSTAT for Linux
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
The sysstat package contains the sar, sadf, mpstat, iostat, pidstat
and sa tools for Linux.
The sar command collects and reports system activity information.
The information collected by sar can be saved in a file in a binary
format for future inspection. The statistics reported by sar concern
I/O transfer rates, paging activity, process-related activities,
interrupts, network activity, memory and swap space utilization, CPU
utilization, kernel activities and TTY statistics, among others. Both
UP and SMP machines are fully supported.
The sadf command may  be used to display data collected by sar in
various formats (CSV, XML, etc.).
The iostat command reports CPU utilization and I/O statistics for disks.
The mpstat command reports global and per-processor statistics.
The pidstat command reports statistics for Linux tasks (processes).

%prep
%setup -n sysstat-%{version}

%build
%sony_target_dev_setup
./configure \
        --host=%{sony_target_config} \
        --build=%{sony_host_config} \
        --prefix=%{sony_target_dev_prefix} \
	--includedir=%{sony_target_dev_include_dir} \
        sa_dir=%{sony_target_dev_localstate_dir}/sa \
        conf_dir=%{sony_target_dev_sysconf_dir}/sysconfig \
        --disable-nls \
        | tee build.log
make

%install
rm -rf %{buildroot}
%sony_target_dev_setup
make \
DESTDIR=%{buildroot}%{sony_target_dir} \
install

rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_man_dir}
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_doc_dir}
rm -rf  %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/doc
rm -rf  %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/man

%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(-,root,root,-)
%{sony_target_dir}%{sony_target_dev_sysconf_dir}/sysconfig/sysstat
%{sony_target_dir}%{sony_target_dev_sysconf_dir}/sysconfig/sysstat.ioconf
%{sony_target_dir}%{sony_target_dev_bin_dir}/iostat
%{sony_target_dir}%{sony_target_dev_bin_dir}/mpstat
%{sony_target_dir}%{sony_target_dev_bin_dir}/pidstat
%{sony_target_dir}%{sony_target_dev_bin_dir}/sadf
%{sony_target_dir}%{sony_target_dev_bin_dir}/sar
%{sony_target_dir}%{sony_target_dev_lib_dir}/sa/sa1
%{sony_target_dir}%{sony_target_dev_lib_dir}/sa/sa2
%{sony_target_dir}%{sony_target_dev_lib_dir}/sa/sadc
%{sony_target_dir}%{sony_target_dev_localstate_dir}/sa
%{sony_target_dir}%{sony_target_dev_bin_dir}/cifsiostat
%{sony_target_dir}%{sony_target_dev_bin_dir}/tapestat

%changelog
* Fri Jan 27 2017 Sony Corporation
- Version updated to 11.5.3

* Wed Apr 03 2013 Sony Corporation
- Version updated to 10.0.5

* Thu Apr 16 2009 Sony Corporation
- Updated to 6.x

* Tue Oct 16 2007 Sony Corporation
- Initial build
